#ifndef _MY_STRINGS_H_INCLUDED
#define _MY_STRINGS_H_INCLUDED

#include <avr/pgmspace.h>

const char STR_MENU_MAIN[] PROGMEM = "Temperatur\nDruck\nFehlerbehandlung\nSystem\nReset";
const char STR_MENU_MAIN_TITLE[] PROGMEM = "Hauptmenü (%s)";

const char STR_MENU_TEMPERATURE[] PROGMEM = "Kühlung de/aktivieren\nSollwert\nHysterese";
const char STR_TEMPERATURE[] PROGMEM = "Temperatur";
const char STR_COOLING[] PROGMEM = "Kühlung";
const char STR_T_SETP[] PROGMEM = "Temperatur\nSollwert";
const char STR_T_HYST[] PROGMEM = "Temperatur\nHysterese";

const char STR_MENU_PRESSURE[] PROGMEM = "Drucksteigerung\nDruckabfall\nSollwert\nHysterese";
const char STR_P[] PROGMEM = "Druck";
const char STR_P_INC[] PROGMEM = "Drucksteigerung";
const char STR_P_DEC[] PROGMEM = "Druckabfall";
const char STR_P_SETP[] PROGMEM = "Druck\nSollwert";
const char STR_P_HYST[] PROGMEM = "Druck\nHysterese";

const char STR_F_ERR_TITLE[] PROGMEM = "Fehler (%u)";
const char STR_MENU_ERR_HANDLING[] PROGMEM = "offene Fehler\nalle löschen\nEinstellungen";
const char STR_CURR_ERRS[] PROGMEM = "aktuelle Fehler";
const char STR_MENU_FAULT_SETTINGS_TITLE[] PROGMEM = "Fehler-Settings";
const char STR_MENU_FAULT_SETTINGS[] PROGMEM = "akustisches Signal\noptisches Signal\nTempregelung\nDruckregelung\nTemp+ Rate\nTemp- Rate\nDruckrate";
const char STR_FAULTS_ACOUSTIC[] PROGMEM = "Summer zur\nFehlersignalisierung\nverwenden?";
const char STR_FAULTS_OPTICAL[] PROGMEM = "Displaybeleuchtung\nim Fehlerfall\npulsieren lassen?";
const char STR_FAULTS_T_OFF[] PROGMEM = "Temperatur im\nFehlerfall weiter\nregeln?";
const char STR_FAULTS_P_OFF[] PROGMEM = "Druck im\nFehlerfall weiter\nregeln?";
const char STR_FAULTS_T_R_RATE[] PROGMEM = "Min. Steigerungsrate\nfür Temperatur";
const char STR_FAULTS_T_F_RATE[] PROGMEM = "Min. Abfallrate\nfür Temperatur";
const char STR_FAULTS_P_RATE[] PROGMEM = "Min. Änderungsrate\nfür Druck";

const char STR_ADMIN_AUTH[] PROGMEM = "Systemeinstellungen:\nBerechtigung\nnachweisen:";
const char STR_SYSTEM[] PROGMEM = "System";
const char STR_MENU_SYSTEM[] PROGMEM = "Modbus\nDrucksensor";
const char STR_MODBUS[] PROGMEM = "Modbus";
const char STR_MENU_MODBUS[] PROGMEM = "Adresse\nBaudrate\nAntwort-Delay";
const char STR_BAUDR[] PROGMEM = "Baudrate";
const char STR_MENU_BAUDR[] PROGMEM = "300\n1200\n2400\n4800\n9600\n19200\n38400\n57600\n115200";
const char STR_SEL_MODB_ADDR[] PROGMEM = "Modbus Adresse";
const char STR_SEL_MODB_ADDR_F[] PROGMEM = "Dezimal: %d";
const char STR_SEL_MODB_DELAY[] PROGMEM = "Modbus\nAntwort-Verzögerung\nin Millisekunden";
const char STR_SEL_MODB_DELAY_F[] PROGMEM = "%d.%.d";
const char STR_P_SENSOR[] PROGMEM = "Drucksensor";
const char STR_MENU_P_SENSOR[] PROGMEM = "SMC: 1-5V,0-5 bar\nGems: 0-5V,0-6 bar";
const char STR_RESTART_CONTROLLER[] PROGMEM = "Controller neustarten";
const char STR_20_HYPHENS[] PROGMEM = "--------------------";
const char STR_REALLY_RESTART[] PROGMEM = "Wirklich neustarten?";

const char STR_NO_YES[] PROGMEM = " nein \n ja ";
//const char STR_YES_NO[] PROGMEM = " ja \n nein ";
const char STR_ACTIVATE[] PROGMEM = "aktivieren";
const char STR__FLOAT__[] PROGMEM = "__float__";
const char STR_OK[] PROGMEM = " OK ";

const char STR_IN[] PROGMEM = "in";
const char STR_ON[] PROGMEM = "ein";
const char STR_OFF[] PROGMEM = "aus";
const char STR_HOME_1[] PROGMEM = "--.-- \xb0\C";
const char STR_HOME_2[] PROGMEM = "%d.%.2d \xb0\C";
const char STR_HOME_3[] PROGMEM = "--.-- bar";
const char STR_HOME_4[] PROGMEM = "%d.%.2d bar";
const char STR_HOME_5[] PROGMEM = "%d.%.2d+-%d.%.2d  Regelung %saktiv";
const char STR_HOME_6[] PROGMEM = "%d.%.2d+-%d.%.2d  P+ %s  P- %s";
const char STR_HOME_7[] PROGMEM = "Modbus Adr. %u, Baudr. %s";

const char STR_1W_ERR[] PROGMEM = "Fehler OneWire";
const char STR_1W_F1[] PROGMEM = "%u (max: %u)";
const char STR_1W_1[] PROGMEM = "OneWire-Sensoren";
const char STR_1W_2[] PROGMEM = "Erfolgreich erkannt:";
const char STR_1W_3[] PROGMEM = "Zu viele Sensoren:";
const char STR_1W_4[] PROGMEM = "Keine Sensoren";
const char STR_1W_5[] PROGMEM = "erkannt";

const char STR_F_DEC_0[] PROGMEM = "%d";
const char STR_F_DEC_1[] PROGMEM = "%d.%.1d";
const char STR_F_DEC_2[] PROGMEM = "%d.%.2d";

const char STR_F_S_MIN_MAX[] PROGMEM = "min: %s, max: %s";

const char STR_T_FAIL[] PROGMEM = "Fehler Tempsensor";
const char STR_T_TOO_HI[] PROGMEM = "Temp. zu hoch";
const char STR_T_TOO_LO[] PROGMEM = "Temp. zu niedrig";
const char STR_T1_TOO_HI[] PROGMEM = "Temp. 1 zu hoch";
const char STR_T1_TOO_LO[] PROGMEM = "Temp. 1 zu niedrig";
const char STR_T2_TOO_HI[] PROGMEM = "Temp. 2 zu hoch";
const char STR_T2_TOO_LO[] PROGMEM = "Temp. 2 zu niedrig";
const char STR_P_FAIL[] PROGMEM = "Fehler Drucksensor";
const char STR_P_TOO_HI[] PROGMEM = "Druck zu hoch";
const char STR_P_TOO_LO[] PROGMEM = "Druck zu niedrig";
const char STR_UNKNOWN_ERROR[] PROGMEM = "unbekannter Fehler";
const char STR_NO_ERROR[] PROGMEM = "keine Fehler :-)";

const char STR_NEVER_DEACTIVATED_ACTIVE[] PROGMEM = "~ nie (aktiv)";
const char STR_NEVER_DEACTIVATED_INACTIVE[] PROGMEM = "~ nie (inaktiv)";
const char STR_GT_7_WEEKS_1[] PROGMEM = "* > 7 Wochen";
const char STR_F_SECONDS_1[] PROGMEM = "* %u Sekunden";
const char STR_F_MINUTES_1[] PROGMEM = "* %u Minuten";
const char STR_F_HOURS_1[] PROGMEM = "* %u Stunden";
const char STR_F_DAYS_1[] PROGMEM = "* %u Tage";
const char STR_GT_7_WEEKS_2[] PROGMEM = "~ > 7 Wochen";
const char STR_F_SECONDS_2[] PROGMEM = "~ %u Sekunden";
const char STR_F_MINUTES_2[] PROGMEM = "~ %u Minuten";
const char STR_F_HOURS_2[] PROGMEM = "~ %u Stunden";
const char STR_F_DAYS_2[] PROGMEM = "~ %u Tage";
const char STR_UNKNOWN_ACTIVATED[] PROGMEM = "* ? (vor %u Resets)";
const char STR_UNKNOWN_DEACTIVAED[] PROGMEM = "~ ? (vor %u Resets)";

const char STR_DEL_ALL_INACTIVE_FAULTS[] PROGMEM = "Alle nicht\naktiven Fehler\nlöschen?";
const char STR_BACK_DEL[] PROGMEM = " zurück \n löschen ";
const char STR_BACK[] PROGMEM = " zurück ";

extern char charBuffer200[];
extern char charBuffer501[];
extern char charBuffer502[];
extern char charBuffer503[];
// extern char charBuffer[];
extern char* getMyStr200(const char* str);
extern char* getMyStr501(const char* str);
extern char* getMyStr502(const char* str);
extern char* getMyStr503(const char* str);

#endif // _MY_STRINGS_H_INCLUDED
